ur_rna.Utilities.swing

## Class IMergeItem.Proxy

- java.lang.Object
- - ur_rna.Utilities.swing.IMergeItem.Proxy

- All Implemented Interfaces:
    java.lang.Cloneable, IMergeItem
  Enclosing interface:
    IMergeItem

      public static class IMergeItem.Proxy
      extends java.lang.Object
      implements IMergeItem

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface ur_rna.Utilities.swing.IMergeItem

      `IMergeItem.Proxy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.awt.Component` | `component`
    `private int` | `mergePos`

    - ### Fields inherited from interface ur_rna.Utilities.swing.IMergeItem

      `MergePosDefault, MergePosInitial, MergePosInvalid, MergePosMax, MergePosMin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Proxy(java.awt.Component c)`
    `Proxy(java.awt.Component c, int mergePos)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Component` | `getComponent()`
    `int` | `getMergePos()`
    `IMergeItem.Proxy` | `setMergePos(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ur_rna.Utilities.swing.IMergeItem

      `asMergeItem, asMergeItems, compareByMergePos, compareByMergePos, fixInvalid, getMergeName, getMergeName, getMergePos, getValidMergePos, mergeEnd, mergeStart, setInitialMergePos, setMergePos`

- - ### Field Detail

    - #### component

          private final java.awt.Component component

    - #### mergePos

          private int mergePos

  - ### Constructor Detail

    - #### Proxy

          public Proxy(java.awt.Component c)

    - #### Proxy

          public Proxy(java.awt.Component c,
                       int mergePos)

  - ### Method Detail

    - #### getComponent

          public java.awt.Component getComponent()

      Specified by:
        `getComponent` in interface `IMergeItem`

    - #### getMergePos

          public int getMergePos()

      Specified by:
        `getMergePos` in interface `IMergeItem`

    - #### setMergePos

          public IMergeItem.Proxy setMergePos(int value)

      Specified by:
        `setMergePos` in interface `IMergeItem`